PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zgeadd_Tile | ( | PLASMA_enum | trans,
|  | PLASMA_Complex64_t | alpha,
|  | PLASMA_desc * | A,
|  | PLASMA_Complex64_t | beta,
|  | PLASMA_desc * | B
| ) |  |

PLASMA_zgeadd_Tile - Performs a matrix addition similarly to the pzgeadd() function from the PBLAS library. Tile equivalent of PLASMA_zgeadd(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | trans | Specifies whether the matrix A is transposed, not transposed or conjugate transposed: = PlasmaNoTrans: A is not transposed; = PlasmaTrans: A is transposed; = PlasmaConjTrans: A is conjugate transposed.
  [in] | alpha | alpha specifies the scalar alpha
  [in] | A | A is a LDA-by-ka matrix, where ka is N when trans = PlasmaNoTrans, and is M otherwise.
  [in] | beta | beta specifies the scalar beta
  [in,out] | B | B is a LDB-by-N matrix.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_zgeadd
  PLASMA_zgeadd_Tile_Async
  PLASMA_cgeadd_Tile
  PLASMA_dgeadd_Tile
  PLASMA_sgeadd_Tile